Name:			btop
Version:		1.3.2
Release:		%mkrel 1
Url:			https://github.com/aristocratos/bashtop
Summary:		Resource monitor that shows usage and stats for processor, memory, disks, network and processes
License:		Apache License 2.0
Group:			Monitoring
ExclusiveArch:	x86_64
BuildRoot:		%{_tmppath}/%{name}
Obsoletes:		%name < %version

%description
Resource monitor that shows usage and stats for processor, memory, disks, network and processes

Features:
* Easy to use, with a game inspired menu system.
* Full mouse support, all buttons with a highlighted
  key is clickable and mouse scroll works in process
  list and menu boxes.
* Fast and responsive UI with UP, DOWN keys process
  selection.
* Function for showing detailed stats for selected
  process.
* Ability to filter processes.
* Easy switching between sorting options.
* Tree view of processes.
* Send any signal to selected process.
* UI menu for changing all config file options.
* Auto scaling graph for network usage.
* Shows IO activity and speeds for disks
* Battery meter
* Selectable symbols for the graphs
* Custom presets
* And more...


Command line options:
usage: btop [-h] [-v] [-/+t] [-p <id>] [--utf-force] [--debug]

optional arguments:
  -h, --help            show this help message and exit
  -v, --version         show version info and exit
  -lc, --low-color      disable truecolor, converts 24-bit colors to 256-color
  -t, --tty_on          force (ON) tty mode, max 16 colors and tty friendly graph symbols
  +t, --tty_off         force (OFF) tty mode
  -p, --preset <id>     start with preset, integer value between 0-9
  --utf-force           force start even if no UTF-8 locale was detected
  --debug               start in DEBUG mode: shows microsecond timer for information collect
                        and screen draw functions and sets loglevel to DEBUG


%prep
cd $RPM_BUILD_DIR
wget -O - "https://github.com/aristocratos/btop/archive/v%{version}.tar.gz" | tar xzf -


%install
rm -rf $RPM_BUILD_ROOT
cd %{name}-%{version}
%make
cd ..
mkdir -p %{buildroot}%{_bindir}
%__install -m 755 %{name}-%{version}/bin/%{name} %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr %{name}-%{version}/themes %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_docdir}/%{name}
%__install -m 644 %{name}-%{version}/CHANGELOG.md %{buildroot}%{_docdir}/%{name}/CHANGELOG.md
%__install -m 644 %{name}-%{version}/README.md %{buildroot}%{_docdir}/%{name}/README.md
%__install -m 644 %{name}-%{version}/LICENSE %{buildroot}%{_docdir}/%{name}/LICENSE

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/themes
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*


%changelog
* Tue Feb 13 2024 tex - 1.3.2-1pclos2024
- new version

* Tue Jan 09 2024 tex - 1.3.0-1pclos2024
- new version

* Mon Nov 07 2022 tex - 1.2.13-1pclos2022
- new version

* Sat Oct 08 2022 tex - 1.2.12-1pclos2022
- new version

* Mon Aug 29 2022 tex - 1.2.9-1pclos2022
- new version

* Thu Jun 30 2022 tex - 1.2.8-1pclos2022
- new version

* Thu Jun 16 2022 daniel - 1.2.7-1pclos2022
- new version

* Sun Apr 24 2022 daniel - 1.2.6-1pclos2022
- new version
 
* Sun Mar 06 2022 tex - 1.2.5-1pclos2022
- new version

* Mon Feb 28 2022 tex - 1.2.4-1pclos2022
- new version

* Sat Feb 12 2022 tex - 1.2.1-1pclos2022
- new version

* Mon Jan 24 2022 daniel - 1.2.0-1pclos2022
- import to pclos

